aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/opie-notesapplet/opie-notesapplet.inc
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-opie/opie-notesapplet/opie-notesapplet.inc')
-rw-r--r--recipes-opie/opie-notesapplet/opie-notesapplet.inc31
1 files changed, 31 insertions, 0 deletions
diff --git a/recipes-opie/opie-notesapplet/opie-notesapplet.inc b/recipes-opie/opie-notesapplet/opie-notesapplet.inc
new file mode 100644
index 0000000..ca4cae9
--- /dev/null
+++ b/recipes-opie/opie-notesapplet/opie-notesapplet.inc
@@ -0,0 +1,31 @@
+DESCRIPTION = "Notes Applet"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "notesapplet"
+
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ /usr/bin/qcop QPE/TaskBar "reloadApplets()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+/usr/bin/qcop QPE/TaskBar "reloadApplets()"
+}
+
+# FILES plugins/applets/libnotesapplet.so*
+do_install() {
+}
+